kind: pipeline
type: exec
name: Build and Deploy

steps:
  - name: Prepare
    commands:
      - eval $(ssh-agent -s)
      - ssh-add - <<< "$SSH_PRIVATE_KEY"
      - npm install postcss-cli
    environment:
      SSH_PRIVATE_KEY:
        from_secret: SSH_PRIVATE_KEY

  - name: Build
    commands:
      - hugo --gc

  - name: Deploy
    commands:
      - scp -oStrictHostKeyChecking=no -oUserKnownHostsFile=/dev/null -r public/* deployer@selfprivacy.org:/var/www/selfprivacy.org

trigger:
  event:
    - push
  branch:
    - master

node:
  server: builder
